/*
 *     This file is part of the Jira Agile synchronization connector for Squash TM (sync-xsquash4jira) project.
 *     Copyright (C) 2017 - 2022 Henix, henix.fr - All Rights Reserved
 *
 *     Unauthorized copying of this file, via any medium is strictly prohibited
 *     Proprietary and confidential
 *
 * 	 (C)Henix. Tous droits réservés.
 *
 * 	Avertissement : ce programme est protégé par la loi relative au droit d'auteur et par les conventions internationales. Toute reproduction ou distribution partielle ou totale du logiciel, par quelque moyen que ce soit, est strictement interdite.
 */
/**
 * This file just loads all the lang properties. It is directly loaded by the main thymeleaf template so that loading 
 * kicks in asap.
 * 
 */
define(["squash.translator"], function(translator){
	
	translator.load([
		'henix.jirasync.execplan.designer.buttons.add',
		'henix.jirasync.execplan.designer.buttons.create',
		'henix.jirasync.execplan.designer.buttons.next',
		'henix.jirasync.execplan.designer.buttons.previous',
		'henix.jirasync.execplan.designer.messages.errordetail',
		'henix.jirasync.execplan.designer.messages.pleasewait',
		'henix.jirasync.execplan.designer.messages.premature',
		'henix.jirasync.execplan.designer.messages.sourceerror',
		'henix.jirasync.execplan.designer.messages.unknown',
		'henix.jirasync.execplan.designer.screens.action.createit',
		'henix.jirasync.execplan.designer.screens.action.hint',
		'henix.jirasync.execplan.designer.screens.action.paneltitle',
		'henix.jirasync.execplan.designer.screens.action.title',
		'henix.jirasync.execplan.designer.screens.action.updatecpg',
		'henix.jirasync.execplan.designer.screens.boardsprints.boardpaneltitle',
		'henix.jirasync.execplan.designer.screens.boardsprints.completedsince',
		'henix.jirasync.execplan.designer.screens.boardsprints.criteriapaneltitle',
		'henix.jirasync.execplan.designer.screens.boardsprints.filterstatus',
		'henix.jirasync.execplan.designer.screens.boardsprints.foundsprints',
		'henix.jirasync.execplan.designer.screens.boardsprints.hint1',
		'henix.jirasync.execplan.designer.screens.boardsprints.hint2',
		'henix.jirasync.execplan.designer.screens.boardsprints.mostrecent',
		'henix.jirasync.execplan.designer.screens.boardsprints.namelike',
		'henix.jirasync.execplan.designer.screens.boardsprints.nofilter',
		'henix.jirasync.execplan.designer.screens.boardsprints.runningsprints',
		'henix.jirasync.execplan.designer.screens.boardsprints.squashprojects',
		'henix.jirasync.execplan.designer.screens.boardsprints.title',
		'henix.jirasync.execplan.designer.screens.boardsprints.userselection',
		'henix.jirasync.execplan.designer.screens.iteration.description',
		'henix.jirasync.execplan.designer.screens.iteration.hint',
		'henix.jirasync.execplan.designer.screens.iteration.iteration',
		'henix.jirasync.execplan.designer.screens.iteration.name',
		'henix.jirasync.execplan.designer.screens.iteration.paneltitle',
		'henix.jirasync.execplan.designer.screens.iteration.reference',
		'henix.jirasync.execplan.designer.screens.iteration.title',
		'henix.jirasync.execplan.designer.screens.jql',
		'henix.jirasync.execplan.designer.screens.jql.query',
		'henix.jirasync.execplan.designer.screens.jql.hint1',
		'henix.jirasync.execplan.designer.screens.jql.hint2',
		'henix.jirasync.execplan.designer.screens.jql.paneltitle',
		'henix.jirasync.execplan.designer.screens.jql.server',
		'henix.jirasync.execplan.designer.screens.jql.title',
		'henix.jirasync.execplan.designer.screens.jql.url',
		'henix.jirasync.execplan.designer.screens.projectreleases.criteriapaneltitle',
		'henix.jirasync.execplan.designer.screens.projectreleases.foundreleases',
		'henix.jirasync.execplan.designer.screens.projectreleases.hint1',
		'henix.jirasync.execplan.designer.screens.projectreleases.hint2',
		'henix.jirasync.execplan.designer.screens.projectreleases.mostrecent',
		'henix.jirasync.execplan.designer.screens.projectreleases.namelike',
		'henix.jirasync.execplan.designer.screens.projectreleases.projectpaneltitle',
		'henix.jirasync.execplan.designer.screens.projectreleases.releasedsince',
		'henix.jirasync.execplan.designer.screens.projectreleases.squashprojects',
		'henix.jirasync.execplan.designer.screens.projectreleases.title',
		'henix.jirasync.execplan.designer.screens.projectreleases.userselection',
		'henix.jirasync.execplan.designer.screens.releaseselect.select',
		'henix.jirasync.execplan.designer.screens.releaseselect.all',
		'henix.jirasync.execplan.designer.screens.releaseselect.hint',
		'henix.jirasync.execplan.designer.screens.releaseselect.invert',
		'henix.jirasync.execplan.designer.screens.releaseselect.none',
		'henix.jirasync.execplan.designer.screens.releaseselect.paneltitle',
		'henix.jirasync.execplan.designer.screens.releaseselect.project',
		'henix.jirasync.execplan.designer.screens.releaseselect.releasedsince',
		'henix.jirasync.execplan.designer.screens.releaseselect.title',
		'henix.jirasync.execplan.designer.screens.sprintselect.select',
		'henix.jirasync.execplan.designer.screens.sprintselect.all',
		'henix.jirasync.execplan.designer.screens.sprintselect.board',
		'henix.jirasync.execplan.designer.screens.sprintselect.hint',
		'henix.jirasync.execplan.designer.screens.sprintselect.invert',
		'henix.jirasync.execplan.designer.screens.sprintselect.none',
		'henix.jirasync.execplan.designer.screens.sprintselect.paneltitle',
		'henix.jirasync.execplan.designer.screens.sprintselect.title',
		'henix.jirasync.execplan.designer.screens.strategy.hint',
		'henix.jirasync.execplan.designer.screens.strategy.jql',
		'henix.jirasync.execplan.designer.screens.strategy.paneltitle',
		'henix.jirasync.execplan.designer.screens.strategy.release',
		'henix.jirasync.execplan.designer.screens.strategy.sprint',
		'henix.jirasync.execplan.designer.screens.strategy.title',
		'henix.jirasync.execplan.designer.screens.testcases.all',
		'henix.jirasync.execplan.designer.screens.testcases.bugfixes',
		'henix.jirasync.execplan.designer.screens.testcases.coveredreqs',
		'henix.jirasync.execplan.designer.screens.testcases.filterpaneltitle',
		'henix.jirasync.execplan.designer.screens.testcases.hint',
		'henix.jirasync.execplan.designer.screens.testcases.invert',
		'henix.jirasync.execplan.designer.screens.testcases.none',
		'henix.jirasync.execplan.designer.screens.testcases.search',
		'henix.jirasync.execplan.designer.screens.testcases.select',
		'henix.jirasync.execplan.designer.screens.testcases.testcase',
		'henix.jirasync.execplan.designer.screens.testcases.testcasespaneltitle',
		'henix.jirasync.execplan.designer.screens.testcases.title',
		'henix.jirasync.execplan.designer.screens.tickets.all',
		'henix.jirasync.execplan.designer.screens.tickets.assignee',
		'henix.jirasync.execplan.designer.screens.tickets.bugfix',
		'henix.jirasync.execplan.designer.screens.tickets.covered',
		'henix.jirasync.execplan.designer.screens.tickets.coveredfeature',
		'henix.jirasync.execplan.designer.screens.tickets.feature',
		'henix.jirasync.execplan.designer.screens.tickets.filterpaneltitle',
		'henix.jirasync.execplan.designer.screens.tickets.hint1',
		'henix.jirasync.execplan.designer.screens.tickets.hint2',
		'henix.jirasync.execplan.designer.screens.tickets.invert',
		'henix.jirasync.execplan.designer.screens.tickets.keeprole',
		'henix.jirasync.execplan.designer.screens.tickets.keepstatus',
		'henix.jirasync.execplan.designer.screens.tickets.key',
		'henix.jirasync.execplan.designer.screens.tickets.none',
		'henix.jirasync.execplan.designer.screens.tickets.search',
		'henix.jirasync.execplan.designer.screens.tickets.select',
		'henix.jirasync.execplan.designer.screens.tickets.status',
		'henix.jirasync.execplan.designer.screens.tickets.summary',
		'henix.jirasync.execplan.designer.screens.tickets.synced',
		'henix.jirasync.execplan.designer.screens.tickets.ticketspaneltitle',
		'henix.jirasync.execplan.designer.screens.tickets.title',
		'henix.jirasync.execplan.designer.screens.tickets.type',
		'henix.jirasync.execplan.designer.sidebar.action',
		'henix.jirasync.execplan.designer.sidebar.boardsel',
		'henix.jirasync.execplan.designer.sidebar.iteration',
		'henix.jirasync.execplan.designer.sidebar.jql',
		'henix.jirasync.execplan.designer.sidebar.preview',
		'henix.jirasync.execplan.designer.sidebar.projsel',
		'henix.jirasync.execplan.designer.sidebar.relsel',
		'henix.jirasync.execplan.designer.sidebar.sprintsel',
		'henix.jirasync.execplan.designer.sidebar.strategy',
		'henix.jirasync.execplan.designer.sidebar.tcsel',
		'henix.jirasync.execplan.designer.sidebar.ticketsel',
		'henix.jirasync.execplan.designer.sprintstates.active',
		'henix.jirasync.execplan.designer.sprintstates.closed',
		'henix.jirasync.execplan.designer.sprintstates.future',
		'henix.jirasync.execplan.designer.titles.main',
		'henix.jirasync.execplan.designer.validation.duplicate',
		'henix.jirasync.execplan.designer.validation.invalid',
		'henix.jirasync.execplan.designer.validation.nan',
		'henix.jirasync.execplan.designer.validation.notblank',
		'henix.jirasync.execplan.menu.label',
		'henix.jirasync.execplan.menu.tooltip'
	]);
	
});